/*
	Copyright (C) MOXA Inc. All rights reserved.

	This software is distributed under the terms of the
	MOXA License.  See the file COPYING-MOXA for details.
*/
#pragma once
#include <iostream>
using namespace std;

#ifdef __cplusplus    // If used by C++ code, 
extern "C" {          // we need to export the C interface
#endif
	enum UART_DIRECTION
	{
		UART_TX = 0,
		UART_RX = 1
	};

	int SetLEDMode(int ledIndex, int ledMode);
	int GetLEDMode(int ledIndex, int& ledMode);
	void DisableCommunitionLED(int ledIndex);
	void SetLANCommunicationLED(int ledIndex, int lanPort);
	void SetUARTCommunicationLED(int ledIndex, int uartPort, int direction);
	void DisableUartTxLed(int ledIndex);
	void DisableUartRxLed(int ledIndex);
	void DisableLanLed(int ledIndex);
	void EnableUartTxLed(int ledIndex, int uartPort);
	void EnableUartRxLed(int ledIndex, int uartPort);
	void EnableLanLed(int ledIndex, int lanPort);

#ifdef __cplusplus    // If used by C++ code, 
}
#endif