﻿// 下列 ifdef 區塊是建立巨集的標準方式，讓從 DLL 匯出的過程更簡單。
// 此 DLL 中的所有檔案均使用命令列中定義的 MXOSD_EXPORTS 來編譯。
// 此符號不應在其他使用此 DLL 的任何專案中定義
// 這樣一來，原始程式檔中包含此檔案的其他任何專案，
// 都會將 MXOSD_API 函式視為從 DLL 匯入，
// 而此 DLL 會將使用此巨集定義的符號視為匯出。
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <winsock2.h>
#include <ws2tcpip.h>
#include <stdlib.h>
#include <stdio.h>
#include <atlstr.h>

// Need to link with Ws2_32.lib, Mswsock.lib, and Advapi32.lib
#pragma comment (lib, "Ws2_32.lib")
#pragma comment (lib, "Mswsock.lib")
#pragma comment (lib, "AdvApi32.lib")

#ifdef MXOSD_EXPORTS
#define MXOSD_API __declspec(dllexport)
#else
#define MXOSD_API __declspec(dllimport)
#endif

#ifndef _MXOSD_H_
#define _MXOSD_H_

#define BUFSIZE 512

enum MSG_DIRECTION
{
	TO_SERVER = 0,
	TO_CLIENT = 1
};

enum MSG_TYPE
{
	GET_BRI_VAL = 0,
	SET_BRI_VAL = 1,
	GET_LSC_MODE = 2,
	SET_LSC_MODE = 3,
	ECDIS_PKG_DOWNLOAD = 4,
	GET_ECDIS_RGB_MODE = 5,
	SET_ECDIS_RGB_MODE = 6,
	GET_TOUCH_CTRL_BTN = 7,
	SET_TOUCH_CTRL_BTN = 8,
	GET_FUNC_BTN = 9,
	SET_FUNC_BTN = 10
};

extern "C" MXOSD_API int MxGetBrightnessValue(char *respValue);
extern "C" MXOSD_API int MxSetBrightnessValue(int value, char *respValue);
extern "C" MXOSD_API int MxGetLightSensorMode(char *respValue);
extern "C" MXOSD_API int MxSetLightSensorMode(int value, char *respValue);
extern "C" MXOSD_API int MxSetBacklightMode(int value, char *respValue);
extern "C" MXOSD_API int MxGetECDISRGBpackage(char *respValue);
extern "C" MXOSD_API int MxSetECDISMode(int value, char *respValue);
extern "C" MXOSD_API int MxGetECDISMode(char *respValue);
extern "C" MXOSD_API int MxDownloadECDISRGBpackage(char *respValue);
extern "C" MXOSD_API int MxSetBuzzerMode(int value, char *respValue);
extern "C" MXOSD_API int MxGetBuzzerMode(char *respValue);
extern "C" MXOSD_API int MxGetPanelIndexSelect(char *respValue);
extern "C" MXOSD_API int MxFirmwareVersion(char *respValue);
extern "C" MXOSD_API int MxSerialNumber(char *respValue);
extern "C" MXOSD_API int MxCustomerSerialNumber(char *respValue);
extern "C" MXOSD_API int MxTouchFirmware(char *respValue);
extern "C" MXOSD_API int MxModelName(char *respValue);
extern "C" MXOSD_API int MxManufacturerID(char *respValue);
extern "C" MXOSD_API int MxSetTouchControl(int value, char *respValue, int mode);
extern "C" MXOSD_API int MxGetTouchControl(char *respValue);
extern "C" MXOSD_API int MxSetFunctionButton(int value, char *respValue);
extern "C" MXOSD_API int MxGetFunctionButton(char *respValue);
extern "C" MXOSD_API int MxSetPanelTouchControl(int value, char* respValue);
extern "C" MXOSD_API int MxGetPanelTouchControl(char* respValue);
#endif